Bug 1593215 - 'org.gnome.SettingsDaemon.DiskUtilityNotify.desktop' failed to register before timeout
Summary: 'org.gnome.SettingsDaemon.DiskUtilityNotify.desktop' failed to register befor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-session
Version: 7.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1607454
TreeView+ depends on / blocked
 
Reported: 2018-06-20 09:56 UTC by Tomas Hudziec
Modified: 2018-10-30 10:27 UTC (History)
5 users (show)

Fixed In Version: gnome-session-3.28.1-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:26:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:06 UTC

Description Tomas Hudziec 2018-06-20 09:56:20 UTC
Description of problem:
Desktop and tray icons show and auto-started applications start approx. 2 minutes after login. Until that time, also Log out and Power off buttons from tray menu does not work. Also, desktop context menu is not from classic session (it shows Change Background, Display Settings and Settings instead of New Folder, Paste, Select All ...).

Version-Release number of selected component (if applicable):
gnome-classic-session-3.28.1-2.el7.noarch
gnome-shell-3.28.2-1.el7.x86_64

How reproducible:
happened approx. 4 times

Steps to Reproduce:
1. log in to gnome classic session

Actual results:
desktop and tray icons show and auto-started applications start approx. 2 minutes after login

Expected results:
desktop and tray icons show and auto-started applications start immediately after login

Additional info:
Once happened, that icons showed / applications started at the same time I opened gnome-terminal.

Comment 3 Michal Odehnal 2018-06-25 12:28:57 UTC
I have similar issue with gnome-session-quit command.

1. Connect via ssh to VM.
2. sudo service gdm stop
3. sudo service gdm start
4. Open terminal in VM and type: gnome-session-quit

Actual result:
** (gnome-session-quit:4239): WARNING **: 14:11:16.205: Failed to call logout: GDBus.Error:org.gnome.SessionManager.NotInRunning: Logout interface is only available after the Running phase starts
I am not able to quit the session.

Expected result:
No message, session will prompt the user to confirm or cancel session quitting.

Additional info:
I cannot quit the session for roughly 70 seconds. After that I am able to quit the session with the above command.
After successful command query journalctl will print gnome-session-binary[9400]: Entering running state.

I suspect this issue is for the same reason the icons are not showing on start. If not let me know and I will file a new bug.

Comment 4 Jiri Koten 2018-07-02 13:53:56 UTC
The easiest reporoducer is to create new user and login. The gnome initial setup shows up about 2m after login.

Comment 5 Jiri Koten 2018-07-02 17:38:43 UTC
In logs I see:

gnome-session[21782]: gnome-session-binary[21782]: WARNING: Application 'org.gnome.SettingsDaemon.DiskUtilityNotify.desktop' failed to register before timeout
tracker-store.desktop[23685]: (uint32 2,)
gnome-session-binary[21782]: Entering running state

And when I remove the 'org.gnome.SettingsDaemon.DiskUtilityNotify.desktop' from /etc/xdg/autostart everything is ok. 

Moving to gnome-disk-utility.

gnome-disk-utility-3.28.2-1.el7

Comment 6 Jiri Koten 2018-07-19 15:51:05 UTC
I have found following commit upstream https://gitlab.gnome.org/GNOME/gnome-disk-utility/commit/78034ca97df5621a52b8ad522859a7da58a7544b

But the commit is already in, so the question is why the gnome-session is still waiting for the app to register?

Comment 7 Ray Strode [halfline] 2018-07-26 15:39:32 UTC
we had to add a hack to accommodate upgrades at one point:

+                const char *app_id;•
+•
+                app_id = g_app_info_get_id (G_APP_INFO (app->priv->app_info));•
+•
+                /* These hardcoded checks are to keep upgrades working */•
+                if (app_id != NULL && g_str_has_prefix (app_id, "org.gnome.Shell"))•
+                        phase = GSM_MANAGER_PHASE_DISPLAY_SERVER;•
+                else if (app_id != NULL && g_str_has_prefix (app_id, "org.gnome.SettingsDaemon"))•
+                        phase = GSM_MANAGER_PHASE_INITIALIZATION;•
+                else•
+                        phase = GSM_MANAGER_PHASE_APPLICATION;•
         }•


This is what's causing the problem.   We might be able to change that g_str_has_prefix (app_id, "org.gnome.SettingsDaemon") to g_str_equal (app_id, "org.gnome.SettingDaemon.desktop") (i'll need to see when the settings-daemon modularity happened). otherwise, we'll probably just need to special case DiskUtilityNotify to be phase application specifically (or force it in desktop file).

Comment 9 Vladimir Benes 2018-07-30 10:27:15 UTC
Working well now.

Comment 11 errata-xmlrpc 2018-10-30 10:26:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.